---
id: siambit
name: SiamBIT
description: "SiamBIT is a THAI PAY2DL Private Torrent Tracker for GENERAL"
language: th-TH
type: private
encoding: tis-620
requestDelay: 2
links:
  - https://bearbit.org/
legacylinks:
  - https://www.siambit.me/
  - https://siambit.io/
  - https://thaibit.net/
  - https://bearbit.co/
  - https://bearbit.cc/

caps:
  # dont forget to update the path categories in the search block
  categorymappings:
    - {id: 1, cat: Other, desc: "@พระมหากษัตริย์ (@King)", default: true}
    - {id: 75, cat: PC/0day, desc: "OS วินโดว์/ออฟฟิศ (OS Windows/Office)", default: true}
    - {id: 10, cat: TV/Anime, desc: "การ์ตูน/อนิเมชั่น (Cartoons/Animation)", default: true}
    - {id: 9, cat: TV/Sport, desc: "กีฬา/ฟุตบอล (Sports/Football)", default: true}
    - {id: 110, cat: PC/Games, desc: "เกมส์มือถือ (Mobile Games)", default: true}
    - {id: 7, cat: PC/Games, desc: "เกมส์ (Games)", default: true}
    - {id: 40, cat: Audio/Video, desc: "คลิป (Clips)", default: true}
    - {id: 16, cat: Audio/Video, desc: "คอนเสิร์ต (Concert)", default: true}
    - {id: 3, cat: Audio/Other, desc: "คาราโอเกะ/MV (Karaoke/MV)", default: true}
    - {id: 70, cat: PC, desc: "ซอฟต์แวร์ AntiVirus/Antispyware (Software AntiVirus/Antispyware)", default: true}
    - {id: 100, cat: PC/Mobile-Other, desc: "ซอฟต์แวร์ มือถือ/ธีม/ริงโทน/mv (Software Mobile/Theme/Ringtone/MV)", default: true}
    - {id: 85, cat: PC/Mac, desc: "ซอฟต์แวร์ แม็ค (Mac Software)", default: true}
    - {id: 105, cat: PC, desc: "ซอฟต์แวร์ ลินุกซ์ (Linux Software)", default: true}
    - {id: 8, cat: PC, desc: "ซอฟต์แวร์ (Software)", default: true}
    - {id: 56, cat: Other, desc: "ดิกชันเนอรี่/แผนที่ (Dictionary/Map)", default: true}
    - {id: 19, cat: TV, desc: "ทอล์คโชว์/ตลก/วิทยุ (Talk Show/Comedy/Radio)", default: true}
    - {id: 20, cat: TV, desc: "ทั่วไป (General)", default: true}
    - {id: 55, cat: PC/Mobile-iOS, desc: "แท็ปเล็ต/iPhone (Tablet/iPhone)", default: true}
    - {id: 21, cat: TV, desc: "ธรรมะ (Dharma)", default: true}
    - {id: 2, cat: Audio/MP3, desc: "เพลง (Music)", default: true}
    - {id: 130, cat: Audio/Audiobook, desc: "เพลงคุณภาพสูง (Lossless) (High Quality Music (Lossless))", default: true}
    - {id: 60, cat: Other, desc: "ฟอนต์/ไอคอน/คลิปอาร์ท/เทมเพลท (Fonts/Icons/Clip Art/Templates)", default: true}
    - {id: 90, cat: Movies/UHD, desc: "ภาพยนตร์ 4K UHD (4K UHD Movies)", default: true}
    - {id: 91, cat: Movies/DVD, desc: "ภาพยนตร์ DVD (DVD Movies)", default: true}
    - {id: 92, cat: Movies/HD, desc: "ภาพยนตร์ Hi-Def (Hi-Def Movies)", default: true}
    - {id: 89, cat: Movies/SD, desc: "ภาพยนตร์ VCD (VCD Movies)", default: true}
    - {id: 93, cat: TV, desc: "แม่และเด็ก@/สื่อเรียนรู้สำหรับเด็ก (Mother and Child@/Learning Materials for Children)", default: true}
    - {id: 4, cat: TV, desc: "รายการทีวี/วาไรตี้/เกมโชว์ (TV Shows/Variety/Game Shows)", default: true}
    - {id: 50, cat: Other, desc: "รูปภาพ (Images)", default: true}
    - {id: 18, cat: Other, desc: "เว็บไซต์ (Website)", default: true}
    - {id: 17, cat: TV/Documentary, desc: "สารคดี (Documentary)", default: true}
    - {id: 11, cat: Books/Technical, desc: "สื่อเรียนรู้/หนังสือ/Ebook (Learning Materials/Books/Ebook)", default: true}
    - {id: 5, cat: TV, desc: "หนังชุด/ซีรีส์ [เกาหลี] (Movies/Series [Korea])", default: true}
    - {id: 54, cat: TV, desc: "หนังชุด/ซีรีส์ [จีน] (Movies/Series [China])", default: true}
    - {id: 51, cat: TV, desc: "หนังชุด/ซีรีส์ [ญี่ปุ่น] (Movies/Series [Japan])", default: true}
    - {id: 52, cat: TV, desc: "หนังชุด/ซีรีส์ [ฝรั่ง] (Movies/Series [Western])", default: true}
    - {id: 57, cat: TV, desc: "หนังชุด/ซีรีส์ [อื่นๆ] (Movies/Series [other])", default: true}
    - {id: 53, cat: TV, desc: "หนังชุด/ซีรีส์/ละคร [ไทย] (Movie Series/Series/Drama [Thai])", default: true}
    - {id: 901, cat: XXX, desc: "XXX-Anime", default: false}
    - {id: 902, cat: XXX, desc: "XXX-Game", default: false}
    - {id: 903, cat: XXX, desc: "XXX-Japan censored", default: false}
    - {id: 904, cat: XXX, desc: "XXX-Japan", default: false}
    - {id: 905, cat: XXX, desc: "XXX-Guava", default: false}
    - {id: 906, cat: XXX, desc: "XXX-Asia censored", default: false}
    - {id: 907, cat: XXX, desc: "XXX-Asia", default: false}
    - {id: 908, cat: XXX, desc: "XXX-Gay", default: false}
    - {id: 910, cat: XXX, desc: "XXX-clip", default: false}
    - {id: 911, cat: XXX, desc: "XXX-pictures", default: false}
    - {id: 912, cat: XXX, desc: "XXX-magazine", default: false}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: freeleech
    type: checkbox
    label: Filter freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 15
    options:
      15: created
      8: seeders
      5: size
      1: title desc
      14: title asc
  - name: info_results
    type: info
    label: Search results
    default: "If you are getting the error <b>Found no results while trying to browse this tracker</b> then the most likely reason is that you have <b>Important news from the team</b> on the Web Site that must be read before you can proceed to the torrent search page."
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "Accounts can use the park system for up to 180 days."
  - name: info_flaresolverr
    type: info_flaresolverr

login:
  path: takelogin.php
  method: post
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
  error:
    - selector: td.text
  test:
    path: /
    selector: a[href="logout.php"]

download:
  before:
    path: ajax.php
    method: get
    inputs:
      action: "say_thanks"
      id: "{{ .DownloadUri.Query.id }}"
  selectors:
    - selector: a[href^="downloadnew.php?id="]
      attribute: href

search:
  paths:
    - path: viewno18sbx.php
      categories: [1, 75, 10, 9, 110, 7, 40, 16, 3, 70, 100, 85, 105, 8, 56, 19, 20, 55, 21, 2, 130, 60, 90, 91, 92, 89, 93, 4, 50, 18, 17, 11, 5, 54, 51, 52, 57, 53]
    - path: viewbrsb.php
      categories: [901, 902, 903, 904, 905, 906, 907, 908, 910, 911, 912]
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    search: "{{ .Keywords }}"
    # 0 name, 1 both, 2 descr
    searchin: 0
    sortby: "{{ .Config.sort }}"

  rows:
    selector: "table[width=\"100%\"][border=1][cellspacing=0][cellpadding=5] > tbody > tr:has(a[href*=\"hashinfo=\"]){{ if .Config.freeleech }}:has(td:nth-child(3):contains(\"100%\")){{ else }}{{ end }}"

  fields:
    category:
      selector: a[href*=".php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a[href^="details.php?id="]
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href^="details.php?id="]
      attribute: href
    poster:
      selector: img[alt="Poster"]
      attribute: src
    imdbid:
      selector: a[href*="imdb.com/title/tt"]
      attribute: href
    files:
      selector: td:nth-child(6)
    date:
      selector: td:nth-child(8)
      filters:
        - name: append
          args: " +07:00" # ICT
        - name: dateparse
          args: "dd-MM-yyyyHH:mm:ss zzz"
    size:
      selector: td:nth-child(9)
    grabs:
      selector: td:nth-child(10)
    seeders:
      selector: td:nth-child(11)
    leechers:
      selector: td:nth-child(12)
    downloadvolumefactor:
      case:
        "td:nth-child(4):contains(\"100%\")": 0
        "td:nth-child(4):contains(\"95%\")": 0.05
        "td:nth-child(4):contains(\"90%\")": 0.1
        "td:nth-child(4):contains(\"85%\")": 0.15
        "td:nth-child(4):contains(\"80%\")": 0.2
        "td:nth-child(4):contains(\"75%\")": 0.25
        "td:nth-child(4):contains(\"70%\")": 0.3
        "td:nth-child(4):contains(\"65%\")": 0.35
        "td:nth-child(4):contains(\"60%\")": 0.4
        "td:nth-child(4):contains(\"55%\")": 0.45
        "td:nth-child(4):contains(\"50%\")": 0.5
        "td:nth-child(4):contains(\"45%\")": 0.55
        "td:nth-child(4):contains(\"40%\")": 0.6
        "td:nth-child(4):contains(\"35%\")": 0.65
        "td:nth-child(4):contains(\"30%\")": 0.7
        "td:nth-child(4):contains(\"25%\")": 0.75
        "td:nth-child(4):contains(\"20%\")": 0.8
        "td:nth-child(4):contains(\"15%\")": 0.85
        "td:nth-child(4):contains(\"10%\")": 0.9
        "td:nth-child(4):contains(\"5%\")": 0.95
        "*": 1
    uploadvolumefactor:
      case:
        "td:nth-child(5):contains(\"x2\")": 2
        "td:nth-child(5):contains(\"x3\")": 3
        "td:nth-child(5):contains(\"x4\")": 4
        "td:nth-child(5):contains(\"x5\")": 5
        "td:nth-child(5):contains(\"x6\")": 6
        "td:nth-child(5):contains(\"x7\")": 7
        "td:nth-child(5):contains(\"x8\")": 8
        "td:nth-child(5):contains(\"x9\")": 9
        "*": 1
    minimumratio:
      text: 1.0
# engine n/a
